Skip to main content
POST

Authorizations

X-API-Key
string
header
required

API key for authentication

Headers

X-Coval-Workspace-Id
string

Workspace that scopes this operation. When omitted, the organization's active default workspace is used when one can be resolved.

Required string length: 1 - 26

Path Parameters

dashboard_id
string
required

Dashboard resource ID (22-character ShortUUID)

Body

application/json
display_name
string
required

Human-readable widget name

Required string length: 1 - 255
type
enum<string>

Widget type. Optional; defaults to chart when omitted.

Available options:
chart,
table,
text,
assignee_call_volume,
assignee_call_history
Example:

"chart"

grid_x
integer | null

Grid column position

grid_y
integer | null

Grid row position

grid_w
integer | null

Grid column span

grid_h
integer | null

Grid row span

config
object

Widget configuration, structure depends on widget type

Response

Widget created successfully

widget
object
required

Widget resource